Bug 135850 - DBUS error
DBUS error
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: desktop-printing (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-15 08:32 EDT by Tim Waugh
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 15:01:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2004-10-15 08:32:53 EDT
User-Agent:       
Build Identifier: 

Got a DBUS error in my /tmp/xses* file on logging in:

4248: arguments to dbus_message_unref() were incorrect, assertion "message
+!= NULL" failed in file dbus-message.c line 1749.
This is normally a bug in some application using the D-BUS library.

PID 4248 is eggcups.

Reproducible: Didn't try
Steps to Reproduce:
Comment 1 Tim Waugh 2004-10-15 08:35:08 EDT
desktop-printing-0.17-1
Comment 2 Colin Walters 2004-10-21 15:01:01 EDT
I audited upstream CVS for possibly passing NULL to dbus_message_unref, and I
foun d one likely case and a few other very unlikely ones.

It won't go into FC3, but it should be fixed in the next release.

Note You need to log in before you can comment on or make changes to this bug.